Bug 1022422 - JGroups: Intermittent failures in MergeTest2
JGroups: Intermittent failures in MergeTest2
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Clustering (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: ER1
: EAP 6.3.0
Assigned To: Bela Ban
Jitka Kozana
Russell Dickenson
JGroups testsuite
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-23 05:07 EDT by Richard Janík
Modified: 2014-06-28 11:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-28 11:41:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Janík 2013-10-23 05:07:55 EDT
Description of problem:

EAP 6.2.0.ER6
JGroups 3.2.12.Final

There is an occasinal failure of org.jgroups.tests.MergeTest2.testMergeWithMissingMergeResponse:

Error Message

A's view: [A|0] [A]

Stacktrace


java.lang.AssertionError 
at org.jgroups.tests.MergeTest2.testMergeWithMissingMergeResponse(MergeTest2.java:157) 
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) 
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:60) 
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:37) 
at java.lang.reflect.Method.invoke(Method.java:611) 
at org.testng.internal.MethodInvocationHelper.invokeMethod(MethodInvocationHelper.java:80) 
at org.testng.internal.InvokeMethodRunnable.runOne(InvokeMethodRunnable.java:46) 
at org.testng.internal.InvokeMethodRunnable.run(InvokeMethodRunnable.java:37) 
at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:450) 
at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:314) 
at java.util.concurrent.FutureTask.run(FutureTask.java:149) 
at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:908) 
at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:931) 
at java.lang.Thread.run(Thread.java:738) 


Standard Output



------------- testMergeWithMissingMergeResponse -----------

Merge leader: A
Faulty member: B
Non-faulty members: [A, C, D]
Injecting MERGE event into merge leader A
==> A: [A|0] [A]
==> C: [C|0] [C]
==> D: [D|0] [D]
5003 [TRACE] GMS: - A: got merge response from A, merge_id=A::1, merge data is sender=A, view=[A|0] [A], digest=A: [0 (0)]5004 [TRACE] GMS: - A: got merge response from C, merge_id=A::1, merge data is sender=C, view=[C|0] [C], digest=C: [0 (0)]5013 [TRACE] GMS: - A: got merge response from D, merge_id=A::1, merge data is sender=D, view=[D|0] [D], digest=D: [0 (0)]==> A: [A|0] [A]
==> C: [C|0] [C]
==> D: [D|0] [D]
10926 [TRACE] GMS: - A: mcasting view MergeView::[A|1] [A, C, D], subgroups=[C|0] [C], [D|0] [D], [A|0] [A] (3 mbrs)==> A: [A|0] [A]
==> C: [C|0] [C]
==> D: [D|0] [D]
11484 [TRACE] GMS: - C: mcasting view MergeView::[A|1] [A, C, D], subgroups=[C|0] [C], [D|0] [D], [A|0] [A] (3 mbrs)11544 [DEBUG] GMS: - A: installing view MergeView::[A|1] [A, C, D], subgroups=[C|0] [C], [D|0] [D], [A|0] [A]11635 [DEBUG] GMS: - C: installing view MergeView::[A|1] [A, C, D], subgroups=[C|0] [C], [D|0] [D], [A|0] [A]==> A: [A|1] [A, C, D]
==> C: [A|1] [A, C, D]
==> D: [D|0] [D]
==> A: [A|1] [A, C, D]
==> C: [A|1] [A, C, D]
==> D: [D|0] [D]
==> A: [A|1] [A, C, D]
==> C: [A|1] [A, C, D]
==> D: [D|0] [D]
==> A: [A|1] [A, C, D]
==> C: [A|1] [A, C, D]
==> D: [D|0] [D]
...

https://jenkins.mw.lab.eng.bos.redhat.com/hudson/view/EAP6/view/EAP6-JGroups/job/eap-6x-manu-jgroups-rhel/23/jdk=ibm16,label=RHEL5_x86_64/testReport/org.jgroups.tests/MergeTest2/testMergeWithMissingMergeResponse/
https://jenkins.mw.lab.eng.bos.redhat.com/hudson/view/EAP6/view/EAP6-JGroups/job/eap-6x-manu-jgroups-rhel/23/jdk=java17_default,label=RHEL5_x86/testReport/org.jgroups.tests/MergeTest2/testMergeWithMissingMergeResponse/
Comment 2 Richard Achmatowicz 2014-03-27 10:52:32 EDT
I'm not seeing these any longer as of EAP 6.3 DR6.
Comment 3 Scott Mumford 2014-06-09 18:24:18 EDT
Marking for exclusion from 6.3.0 Release Notes as per advice from Bela Ban.

Note You need to log in before you can comment on or make changes to this bug.